<?php
require_once __DIR__.'/../includes/auth.php';
requireLogin();

// 处理表单提交
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    require_once __DIR__.'/../includes/db.php';
    
    $urls = explode("\n", $_POST['urls']);
    $resolution = $_POST['resolution'];
    $category = $_POST['category'];
    
    $stmt = $pdo->prepare("INSERT INTO images (url, resolution, category) VALUES (?, ?, ?)");
    
    $success = 0;
    foreach ($urls as $url) {
        $url = trim($url);
        if (filter_var($url, FILTER_VALIDATE_URL)) {
            try {
                $stmt->execute([$url, $resolution, $category]);
                $success++;
            } catch (PDOException $e) {}
        }
    }
    $message = "成功添加 {$success} 条记录";
}
?>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <title>管理后台</title>
    <link rel="stylesheet" href="../assets/css/style.css">
</head>
<body>
    <div class="admin-container">
        <header>
            <h1>欢迎回来，<?= htmlspecialchars($_SESSION['username']) ?></h1>
            <a href="logout.php" class="logout-btn">退出登录</a>
        </header>
        
        <?php if (isset($message)): ?>
        <div class="success-msg"><?= $message ?></div>
        <?php endif; ?>
        
        <div class="form-wrapper">
            <form method="POST">
                <div class="form-row">
                    <select name="resolution" required>
                        <option value="UHD">UHD</option>
                        <option value="4K">4K</option>
                        <option value="HD">HD</option>
                    </select>
                    
                    <select name="category" required>
                        <option value="美女">美女</option>
                        <option value="风景">风景</option>
                        <option value="动物">动物</option>
                        <option value="游戏">游戏</option>
                    </select>
                </div>
                
                <textarea name="urls" 
                    placeholder="请输入图片URL，每行一个"
                    rows="10"
                    required></textarea>
                
                <button type="submit">提交数据</button>
            </form>
        </div>
    </div>
</body>
</html>